Retrieve a User
curl --request GET \
--url https://api.alerty.ai/auth/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alerty.ai/auth/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alerty.ai/auth/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"members": [
{
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>",
"role": "<string>"
}
]
},
"belongsToMultipleOrganizations": true
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}User
Retrieve a User
GET
/
auth
/
user
Retrieve a User
Authorizations
bearerAuthcookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful user retrieval
the external user id
the user email address
the user first name
the user last name
flags if the user email was already verified
the user profile picture URL
Show child attributes
Show child attributes
flag that means the user belongs to more than 1 organization
⌘I

